// fix cr lf from mac files
#include <fstream.h>
void main (int argc, char **argv)
{ if (argc!=3)
{ cout << "Replaces CR and LF with CRLF pairs and removes BSP pairs.";
cout << endl << "Usage: CRLF InputFile OutputFile" << endl;
return; }
ifstream in (argv[1], ios::binary);
if (in.fail())
{ cout << "Cannot find " << argv[1] << endl;
return; }
ofstream out (argv[2], ios::binary);
if (out.fail())
{ cout << "Cannot open " << argv[2] << endl;
return; }
char ch0, ch1, ch2;
ch1=0; in.get(ch2);
if (in.good()) do { ch0=ch1; ch1=ch2; in.get(ch2);
if (ch1=='\b' && (ch0==ch2 || ch0=='_')) ch0=ch1=0;
else if (ch1=='\b' && ch2=='_') ch1=ch2=0;
if (!ch0) continue; out.put (ch0);
if (ch0=='\r' && ch1=='\n') continue;
if (ch0=='\r') out.put ('\n');
if (ch1=='\n') out.put ('\r'); }
while (!in.eof());
if (ch1) out.put (ch1); if (ch1=='\r') out.put ('\n');
out.close (); cout << "done" << endl; }

