// extract HTML document from larger files
#include <fstream.h>
void main (int argc, char **argv)
{ if (argc!=3)
{ cout << "Isolates an HTML portion of a document.";
cout << endl << "Usage: HTML InputFile OutputFile" << endl;
return; }
ifstream in (argv[1], ios::binary);
if (in.fail())
{ cout << "Cannot find " << argv[1] << endl;
return; }
ofstream out (argv[2], ios::binary);
if (out.fail())
{ cout << "Cannot open " << argv[2] << endl;
return; }
char ch;
int  state=0;
do { in.get(ch); switch (state)
{ case 0: if (ch=='<') state++; break;
case 1: if (ch=='H') state++; else state=0; break;
case 2: if (ch=='T') state++; else state=0; break;
case 3: if (ch=='M') state++; else state=0; break;
case 4: if (ch=='L') state++; else state=0; break;
case 5: if (ch=='>') { state++; out.put ('<');
out.put ('H'); out.put ('T'); out.put ('M'); out.put ('L');
cout << "Writing, "; }
else state=0; break; }
if (state>5) out.put (ch); switch (state)
{ case 6: if (ch=='<') state++; break;
case 7: if (ch=='/') state++; else state=6; break;
case 8: if (ch=='H') state++; else state=6; break;
case 9: if (ch=='T') state++; else state=6; break;
case 10: if (ch=='M') state++; else state=6; break;
case 11: if (ch=='L') state++; else state=6; break;
case 12: if (ch=='>')  { state=0; out.put ('\r'); out.put ('\n'); }
else state=6; break;
default: break; } }
while (!in.eof());
out.close (); cout << "done" << endl; }

